## b4 0.6.2

=== requirements.txt ===
requests ~= 2.24.0
# These are optional, needed for attestation features
dnspython~=2.0.0
dkimpy~=1.0.5
# These may be required in the future for other patch attestation features
#pycryptodomex~=3.9.9
#PyNaCl~=1.4.0

## b4 0.5.2

=== debian/changelog ===
b4 (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Aug 2020 13:29:59 +0200

b4 (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 23 Jul 2020 14:19:49 +0200

b4 (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 27 May 2020 17:59:58 +0200

b4 (0.4.0-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #958896)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 27 Apr 2020 12:33:26 +0200

b4 (0.3.5-1) unstable; urgency=medium

  * Release to unstable

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 09 Apr 2020 12:09:35 +0200

b4 (0.3.5-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #954239)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 19 Mar 2020 12:50:03 +0100

=== debian/control ===
Source: b4
Section: python
Priority: optional
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-requests,
               python3-setuptools
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
X-Python3-Version: >= 3.2

Package: b4
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: helper utility to work with patches made available via a public-inbox archive
 This is a helper utility to work with patches made available via a
 public-inbox archive like lore.kernel.org. It is written to make it
 easier to participate in a patch-based workflows, like those used in
 the Linux kernel development.
 .
 This package installs the application and library for Python 3.

## b4 0.6.2

=== debian/changelog ===
b4 (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 29 Dec 2020 20:43:47 +0100

b4 (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: adjust dependencies

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 14 Dec 2020 21:52:38 +0100

b4 (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: use package section text (not python)
    (Closes: #956282)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 28 Nov 2020 19:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: b4
-Section: python
+Section: text
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -7,14 +7,18 @@
                python3-all,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
 X-Python3-Version: >= 3.2
 
 Package: b4
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-dkim (>= 1.0.5),
+         python3-dnspython (>=2.0.0),
+         python3-requests (>= 2.24.0),
+         ${misc:Depends},
+         ${python3:Depends}
 Description: helper utility to work with patches made available via a public-inbox archive
  This is a helper utility to work with patches made available via a
  public-inbox archive like lore.kernel.org. It is written to make it

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=b4

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf b4.egg-info
	dh_clean

## b4 0.8.0

=== requirements.txt ===
requests~=2.25.0
# These are optional, needed for attestation features
dnspython~=2.1.0
dkimpy~=1.0.5
patatt>=0.4,<2.0

=== debian/changelog ===
b4 (0.8.0-1) unstable; urgency=medium

  [ Uwe Kleine-König ]
  * debian/control: Add Vcs-Browser and Vcs-Git

  [ Héctor Orón Martínez ]
  * New upstream release
    (Closes: #994267)
  * debian/control: append pytest to build dependencies
  * debian/control: use debhelper-compat instead debian/compat file
  * debian/control: use debhelper-compat 13

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 16 Sep 2021 13:11:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends: debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-pytest,
                python3-requests,
                python3-setuptools
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
 X-Python3-Version: >= 3.2
+Vcs-Browser: https://salsa.debian.org/debian/b4
+Vcs-Git: https://salsa.debian.org/debian/b4.git
 
 Package: b4
 Architecture: all

## b4 0.9.0

=== debian/changelog ===
b4 (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: depend on pattat (Closes: #1000250)
  * debian/control: remove ancient python version field

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 23 Jun 2022 00:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
-X-Python3-Version: >= 3.2
 Vcs-Browser: https://salsa.debian.org/debian/b4
 Vcs-Git: https://salsa.debian.org/debian/b4.git
 
@@ -21,6 +20,7 @@
 Depends: python3-dkim (>= 1.0.5),
          python3-dnspython (>=2.0.0),
          python3-requests (>= 2.24.0),
+         python3-patatt,
          ${misc:Depends},
          ${python3:Depends}
 Description: helper utility to work with patches made available via a public-inbox archive

## b4 0.12.0

=== debian/changelog ===
b4 (0.12.0-2) unstable; urgency=medium

  * debian/patches/calculate-toplevel-dir-without-git.patch: new patch
    - Fixes FTBFS (Closes: #1031130)
  * debian/control: adjust versions of runtime depends
    - git-filter-repo: add as new dependency. 

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 12 Feb 2023 13:27:38 +0100

b4 (0.12.0-1) unstable; urgency=high

  * New upstream release
  * add debian/watch file (Closes: #1030104)
  * debian/control: add build dependency on git-filter-repo used for
    tests

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 11 Feb 2023 02:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                python3-all,
                python3-pytest,
                python3-requests,
-               python3-setuptools
+               python3-setuptools,
+               git-filter-repo
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
@@ -18,9 +19,10 @@
 Package: b4
 Architecture: all
 Depends: python3-dkim (>= 1.0.5),
-         python3-dnspython (>=2.0.0),
+         python3-dnspython (>=2.1.0),
          python3-requests (>= 2.24.0),
-         python3-patatt,
+         python3-patatt (>= 0.6.3),
+         git-filter-repo (>= 2.30),
          ${misc:Depends},
          ${python3:Depends}
 Description: helper utility to work with patches made available via a public-inbox archive

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,pgpsigurlmangle" https://git.kernel.org/pub/scm/utils/b4/b4.git \
  refs/tags/v([\d\.]+) debian

## b4 0.12.2

=== debian/changelog ===
b4 (0.12.2-1) unstable; urgency=medium

  [ Ricardo Ribalda Delgado ]
  * New upstream release
  * Add debian/.gitignore file
  * Fix copyright file
  * Update copyright year
  * Update Debian policy
  * Enable submodule support for gbp
  * Checkout .gitignore file from upstream
  * Clean .pybuild folder
  * Add me as uploader

  [ Héctor Orón Martínez ]
  * debian/patches/calculate-toplevel-dir-without-git.patch: drop
    - fixed upstream

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 04 Apr 2023 17:55:57 +0200

## b4 0.12.3

=== debian/changelog ===
b4 (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 01 Aug 2023 17:55:50 +0200

## b4 0.13.0

=== requirements.txt ===
requests>=2.24,<3.0
# These are optional, needed for attestation features
dnspython>=2.1,<3.0
dkimpy>=1.0,<2.0
patatt>=0.6,<2.0
git-filter-repo>=2.30,<3.0

=== debian/changelog ===
b4 (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Tue, 20 Feb 2024 13:16:31 +0100

b4 (0.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Sat, 11 Nov 2023 16:32:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Uploaders: Ricardo Ribalda Delgado <ricardo@ribalda.com>
 Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                dh-python,
@@ -10,7 +11,7 @@
                python3-requests,
                python3-setuptools,
                git-filter-repo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
 Vcs-Browser: https://salsa.debian.org/debian/b4

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=b4

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf b4.egg-info .pybuild
	dh_clean

## b4 0.14.1

=== debian/changelog ===
b4 (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch from setup.py to pyproject.toml.
  * Update patches.
  * Update uploader email.
  * Fix dh_auto_test.
  * Bump Debian Standard.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Wed, 14 Aug 2024 15:17:02 +0200

## b4 0.14.2

=== debian/changelog ===
b4 (0.14.2-2) unstable; urgency=medium

  * Backport upstream patch to fix patches with trailing blank lines. 

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Thu, 31 Oct 2024 20:35:36 +0100

b4 (0.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Fri, 27 Sep 2024 10:08:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Ricardo Ribalda Delgado <ricardo@ribalda.com>
+Uploaders: Ricardo Ribalda Delgado <ribalda@debian.org>
 Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
                python3-requests,
                python3-setuptools,
                git-filter-repo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
 Vcs-Browser: https://salsa.debian.org/debian/b4

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=b4
export PYBUILD_BEFORE_TEST=cp -r {dir}/src/tests {build_dir}/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf src/b4.egg-info .pybuild
	dh_clean

## b4 0.14.3

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --generate-hashes
#
certifi==2024.6.2 \
    --hash=sha256:3cd43f1c6fa7dedc5899d69d3ad0398fd018ad1a17fba83ddaf78aa46c747516 \
    --hash=sha256:ddc6c8ce995e6987e7faf5e3f1b02b302836a0e5d98ece18392cb1a36c72ad56
    # via requests
cffi==1.16.0 \
    --hash=sha256:0c9ef6ff37e974b73c25eecc13952c55bceed9112be2d9d938ded8e856138bcc \
    --hash=sha256:131fd094d1065b19540c3d72594260f118b231090295d8c34e19a7bbcf2e860a \
    --hash=sha256:1b8ebc27c014c59692bb2664c7d13ce7a6e9a629be20e54e7271fa696ff2b417 \
    --hash=sha256:2c56b361916f390cd758a57f2e16233eb4f64bcbeee88a4881ea90fca14dc6ab \
    --hash=sha256:2d92b25dbf6cae33f65005baf472d2c245c050b1ce709cc4588cdcdd5495b520 \
    --hash=sha256:31d13b0f99e0836b7ff893d37af07366ebc90b678b6664c955b54561fc36ef36 \
    --hash=sha256:32c68ef735dbe5857c810328cb2481e24722a59a2003018885514d4c09af9743 \
    --hash=sha256:3686dffb02459559c74dd3d81748269ffb0eb027c39a6fc99502de37d501faa8 \
    --hash=sha256:582215a0e9adbe0e379761260553ba11c58943e4bbe9c36430c4ca6ac74b15ed \
    --hash=sha256:5b50bf3f55561dac5438f8e70bfcdfd74543fd60df5fa5f62d94e5867deca684 \
    --hash=sha256:5bf44d66cdf9e893637896c7faa22298baebcd18d1ddb6d2626a6e39793a1d56 \
    --hash=sha256:6602bc8dc6f3a9e02b6c22c4fc1e47aa50f8f8e6d3f78a5e16ac33ef5fefa324 \
    --hash=sha256:673739cb539f8cdaa07d92d02efa93c9ccf87e345b9a0b556e3ecc666718468d \
    --hash=sha256:68678abf380b42ce21a5f2abde8efee05c114c2fdb2e9eef2efdb0257fba1235 \
    --hash=sha256:68e7c44931cc171c54ccb702482e9fc723192e88d25a0e133edd7aff8fcd1f6e \
    --hash=sha256:6b3d6606d369fc1da4fd8c357d026317fbb9c9b75d36dc16e90e84c26854b088 \
    --hash=sha256:748dcd1e3d3d7cd5443ef03ce8685043294ad6bd7c02a38d1bd367cfd968e000 \
    --hash=sha256:7651c50c8c5ef7bdb41108b7b8c5a83013bfaa8a935590c5d74627c047a583c7 \
    --hash=sha256:7b78010e7b97fef4bee1e896df8a4bbb6712b7f05b7ef630f9d1da00f6444d2e \
    --hash=sha256:7e61e3e4fa664a8588aa25c883eab612a188c725755afff6289454d6362b9673 \
    --hash=sha256:80876338e19c951fdfed6198e70bc88f1c9758b94578d5a7c4c91a87af3cf31c \
    --hash=sha256:8895613bcc094d4a1b2dbe179d88d7fb4a15cee43c052e8885783fac397d91fe \
    --hash=sha256:88e2b3c14bdb32e440be531ade29d3c50a1a59cd4e51b1dd8b0865c54ea5d2e2 \
    --hash=sha256:8f8e709127c6c77446a8c0a8c8bf3c8ee706a06cd44b1e827c3e6a2ee6b8c098 \
    --hash=sha256:9cb4a35b3642fc5c005a6755a5d17c6c8b6bcb6981baf81cea8bfbc8903e8ba8 \
    --hash=sha256:9f90389693731ff1f659e55c7d1640e2ec43ff725cc61b04b2f9c6d8d017df6a \
    --hash=sha256:a09582f178759ee8128d9270cd1344154fd473bb77d94ce0aeb2a93ebf0feaf0 \
    --hash=sha256:a6a14b17d7e17fa0d207ac08642c8820f84f25ce17a442fd15e27ea18d67c59b \
    --hash=sha256:a72e8961a86d19bdb45851d8f1f08b041ea37d2bd8d4fd19903bc3083d80c896 \
    --hash=sha256:abd808f9c129ba2beda4cfc53bde801e5bcf9d6e0f22f095e45327c038bfe68e \
    --hash=sha256:ac0f5edd2360eea2f1daa9e26a41db02dd4b0451b48f7c318e217ee092a213e9 \
    --hash=sha256:b29ebffcf550f9da55bec9e02ad430c992a87e5f512cd63388abb76f1036d8d2 \
    --hash=sha256:b2ca4e77f9f47c55c194982e10f058db063937845bb2b7a86c84a6cfe0aefa8b \
    --hash=sha256:b7be2d771cdba2942e13215c4e340bfd76398e9227ad10402a8767ab1865d2e6 \
    --hash=sha256:b84834d0cf97e7d27dd5b7f3aca7b6e9263c56308ab9dc8aae9784abb774d404 \
    --hash=sha256:b86851a328eedc692acf81fb05444bdf1891747c25af7529e39ddafaf68a4f3f \
    --hash=sha256:bcb3ef43e58665bbda2fb198698fcae6776483e0c4a631aa5647806c25e02cc0 \
    --hash=sha256:c0f31130ebc2d37cdd8e44605fb5fa7ad59049298b3f745c74fa74c62fbfcfc4 \
    --hash=sha256:c6a164aa47843fb1b01e941d385aab7215563bb8816d80ff3a363a9f8448a8dc \
    --hash=sha256:d8a9d3ebe49f084ad71f9269834ceccbf398253c9fac910c4fd7053ff1386936 \
    --hash=sha256:db8e577c19c0fda0beb7e0d4e09e0ba74b1e4c092e0e40bfa12fe05b6f6d75ba \
    --hash=sha256:dc9b18bf40cc75f66f40a7379f6a9513244fe33c0e8aa72e2d56b0196a7ef872 \
    --hash=sha256:e09f3ff613345df5e8c3667da1d918f9149bd623cd9070c983c013792a9a62eb \
    --hash=sha256:e4108df7fe9b707191e55f33efbcb2d81928e10cea45527879a4749cbe472614 \
    --hash=sha256:e6024675e67af929088fda399b2094574609396b1decb609c55fa58b028a32a1 \
    --hash=sha256:e70f54f1796669ef691ca07d046cd81a29cb4deb1e5f942003f401c0c4a2695d \
    --hash=sha256:e715596e683d2ce000574bae5d07bd522c781a822866c20495e52520564f0969 \
    --hash=sha256:e760191dd42581e023a68b758769e2da259b5d52e3103c6060ddc02c9edb8d7b \
    --hash=sha256:ed86a35631f7bfbb28e108dd96773b9d5a6ce4811cf6ea468bb6a359b256b1e4 \
    --hash=sha256:ee07e47c12890ef248766a6e55bd38ebfb2bb8edd4142d56db91b21ea68b7627 \
    --hash=sha256:fa3a0128b152627161ce47201262d3140edb5a5c3da88d73a1b790a959126956 \
    --hash=sha256:fcc8eb6d5902bb1cf6dc4f187ee3ea80a1eba0a89aba40a5cb20a5087d961357
    # via pynacl
charset-normalizer==3.3.2 \
    --hash=sha256:06435b539f889b1f6f4ac1758871aae42dc3a8c0e24ac9e60c2384973ad73027 \
    --hash=sha256:06a81e93cd441c56a9b65d8e1d043daeb97a3d0856d177d5c90ba85acb3db087 \
    --hash=sha256:0a55554a2fa0d408816b3b5cedf0045f4b8e1a6065aec45849de2d6f3f8e9786 \
    --hash=sha256:0b2b64d2bb6d3fb9112bafa732def486049e63de9618b5843bcdd081d8144cd8 \
    --hash=sha256:10955842570876604d404661fbccbc9c7e684caf432c09c715ec38fbae45ae09 \
    --hash=sha256:122c7fa62b130ed55f8f285bfd56d5f4b4a5b503609d181f9ad85e55c89f4185 \
    --hash=sha256:1ceae2f17a9c33cb48e3263960dc5fc8005351ee19db217e9b1bb15d28c02574 \
    --hash=sha256:1d3193f4a680c64b4b6a9115943538edb896edc190f0b222e73761716519268e \
    --hash=sha256:1f79682fbe303db92bc2b1136016a38a42e835d932bab5b3b1bfcfbf0640e519 \
    --hash=sha256:2127566c664442652f024c837091890cb1942c30937add288223dc895793f898 \
    --hash=sha256:22afcb9f253dac0696b5a4be4a1c0f8762f8239e21b99680099abd9b2b1b2269 \
    --hash=sha256:25baf083bf6f6b341f4121c2f3c548875ee6f5339300e08be3f2b2ba1721cdd3 \
    --hash=sha256:2e81c7b9c8979ce92ed306c249d46894776a909505d8f5a4ba55b14206e3222f \
    --hash=sha256:3287761bc4ee9e33561a7e058c72ac0938c4f57fe49a09eae428fd88aafe7bb6 \
    --hash=sha256:34d1c8da1e78d2e001f363791c98a272bb734000fcef47a491c1e3b0505657a8 \
    --hash=sha256:37e55c8e51c236f95b033f6fb391d7d7970ba5fe7ff453dad675e88cf303377a \
    --hash=sha256:3d47fa203a7bd9c5b6cee4736ee84ca03b8ef23193c0d1ca99b5089f72645c73 \
    --hash=sha256:3e4d1f6587322d2788836a99c69062fbb091331ec940e02d12d179c1d53e25fc \
    --hash=sha256:42cb296636fcc8b0644486d15c12376cb9fa75443e00fb25de0b8602e64c1714 \
    --hash=sha256:45485e01ff4d3630ec0d9617310448a8702f70e9c01906b0d0118bdf9d124cf2 \
    --hash=sha256:4a78b2b446bd7c934f5dcedc588903fb2f5eec172f3d29e52a9096a43722adfc \
    --hash=sha256:4ab2fe47fae9e0f9dee8c04187ce5d09f48eabe611be8259444906793ab7cbce \
    --hash=sha256:4d0d1650369165a14e14e1e47b372cfcb31d6ab44e6e33cb2d4e57265290044d \
    --hash=sha256:549a3a73da901d5bc3ce8d24e0600d1fa85524c10287f6004fbab87672bf3e1e \
    --hash=sha256:55086ee1064215781fff39a1af09518bc9255b50d6333f2e4c74ca09fac6a8f6 \
    --hash=sha256:572c3763a264ba47b3cf708a44ce965d98555f618ca42c926a9c1616d8f34269 \
    --hash=sha256:573f6eac48f4769d667c4442081b1794f52919e7edada77495aaed9236d13a96 \
    --hash=sha256:5b4c145409bef602a690e7cfad0a15a55c13320ff7a3ad7ca59c13bb8ba4d45d \
    --hash=sha256:6463effa3186ea09411d50efc7d85360b38d5f09b870c48e4600f63af490e56a \
    --hash=sha256:65f6f63034100ead094b8744b3b97965785388f308a64cf8d7c34f2f2e5be0c4 \
    --hash=sha256:663946639d296df6a2bb2aa51b60a2454ca1cb29835324c640dafb5ff2131a77 \
    --hash=sha256:6897af51655e3691ff853668779c7bad41579facacf5fd7253b0133308cf000d \
    --hash=sha256:68d1f8a9e9e37c1223b656399be5d6b448dea850bed7d0f87a8311f1ff3dabb0 \
    --hash=sha256:6ac7ffc7ad6d040517be39eb591cac5ff87416c2537df6ba3cba3bae290c0fed \
    --hash=sha256:6b3251890fff30ee142c44144871185dbe13b11bab478a88887a639655be1068 \
    --hash=sha256:6c4caeef8fa63d06bd437cd4bdcf3ffefe6738fb1b25951440d80dc7df8c03ac \
    --hash=sha256:6ef1d82a3af9d3eecdba2321dc1b3c238245d890843e040e41e470ffa64c3e25 \
    --hash=sha256:753f10e867343b4511128c6ed8c82f7bec3bd026875576dfd88483c5c73b2fd8 \
    --hash=sha256:7cd13a2e3ddeed6913a65e66e94b51d80a041145a026c27e6bb76c31a853c6ab \
    --hash=sha256:7ed9e526742851e8d5cc9e6cf41427dfc6068d4f5a3bb03659444b4cabf6bc26 \
    --hash=sha256:7f04c839ed0b6b98b1a7501a002144b76c18fb1c1850c8b98d458ac269e26ed2 \
    --hash=sha256:802fe99cca7457642125a8a88a084cef28ff0cf9407060f7b93dca5aa25480db \
    --hash=sha256:80402cd6ee291dcb72644d6eac93785fe2c8b9cb30893c1af5b8fdd753b9d40f \
    --hash=sha256:8465322196c8b4d7ab6d1e049e4c5cb460d0394da4a27d23cc242fbf0034b6b5 \
    --hash=sha256:86216b5cee4b06df986d214f664305142d9c76df9b6512be2738aa72a2048f99 \
    --hash=sha256:87d1351268731db79e0f8e745d92493ee2841c974128ef629dc518b937d9194c \
    --hash=sha256:8bdb58ff7ba23002a4c5808d608e4e6c687175724f54a5dade5fa8c67b604e4d \
    --hash=sha256:8c622a5fe39a48f78944a87d4fb8a53ee07344641b0562c540d840748571b811 \
    --hash=sha256:8d756e44e94489e49571086ef83b2bb8ce311e730092d2c34ca8f7d925cb20aa \
    --hash=sha256:8f4a014bc36d3c57402e2977dada34f9c12300af536839dc38c0beab8878f38a \
    --hash=sha256:9063e24fdb1e498ab71cb7419e24622516c4a04476b17a2dab57e8baa30d6e03 \
    --hash=sha256:90d558489962fd4918143277a773316e56c72da56ec7aa3dc3dbbe20fdfed15b \
    --hash=sha256:923c0c831b7cfcb071580d3f46c4baf50f174be571576556269530f4bbd79d04 \
    --hash=sha256:95f2a5796329323b8f0512e09dbb7a1860c46a39da62ecb2324f116fa8fdc85c \
    --hash=sha256:96b02a3dc4381e5494fad39be677abcb5e6634bf7b4fa83a6dd3112607547001 \
    --hash=sha256:9f96df6923e21816da7e0ad3fd47dd8f94b2a5ce594e00677c0013018b813458 \
    --hash=sha256:a10af20b82360ab00827f916a6058451b723b4e65030c5a18577c8b2de5b3389 \
    --hash=sha256:a50aebfa173e157099939b17f18600f72f84eed3049e743b68ad15bd69b6bf99 \
    --hash=sha256:a981a536974bbc7a512cf44ed14938cf01030a99e9b3a06dd59578882f06f985 \
    --hash=sha256:a9a8e9031d613fd2009c182b69c7b2c1ef8239a0efb1df3f7c8da66d5dd3d537 \
    --hash=sha256:ae5f4161f18c61806f411a13b0310bea87f987c7d2ecdbdaad0e94eb2e404238 \
    --hash=sha256:aed38f6e4fb3f5d6bf81bfa990a07806be9d83cf7bacef998ab1a9bd660a581f \
    --hash=sha256:b01b88d45a6fcb69667cd6d2f7a9aeb4bf53760d7fc536bf679ec94fe9f3ff3d \
    --hash=sha256:b261ccdec7821281dade748d088bb6e9b69e6d15b30652b74cbbac25e280b796 \
    --hash=sha256:b2b0a0c0517616b6869869f8c581d4eb2dd83a4d79e0ebcb7d373ef9956aeb0a \
    --hash=sha256:b4a23f61ce87adf89be746c8a8974fe1c823c891d8f86eb218bb957c924bb143 \
    --hash=sha256:bd8f7df7d12c2db9fab40bdd87a7c09b1530128315d047a086fa3ae3435cb3a8 \
    --hash=sha256:beb58fe5cdb101e3a055192ac291b7a21e3b7ef4f67fa1d74e331a7f2124341c \
    --hash=sha256:c002b4ffc0be611f0d9da932eb0f704fe2602a9a949d1f738e4c34c75b0863d5 \
    --hash=sha256:c083af607d2515612056a31f0a8d9e0fcb5876b7bfc0abad3ecd275bc4ebc2d5 \
    --hash=sha256:c180f51afb394e165eafe4ac2936a14bee3eb10debc9d9e4db8958fe36afe711 \
    --hash=sha256:c235ebd9baae02f1b77bcea61bce332cb4331dc3617d254df3323aa01ab47bd4 \
    --hash=sha256:cd70574b12bb8a4d2aaa0094515df2463cb429d8536cfb6c7ce983246983e5a6 \
    --hash=sha256:d0eccceffcb53201b5bfebb52600a5fb483a20b61da9dbc885f8b103cbe7598c \
    --hash=sha256:d965bba47ddeec8cd560687584e88cf699fd28f192ceb452d1d7ee807c5597b7 \
    --hash=sha256:db364eca23f876da6f9e16c9da0df51aa4f104a972735574842618b8c6d999d4 \
    --hash=sha256:ddbb2551d7e0102e7252db79ba445cdab71b26640817ab1e3e3648dad515003b \
    --hash=sha256:deb6be0ac38ece9ba87dea880e438f25ca3eddfac8b002a2ec3d9183a454e8ae \
    --hash=sha256:e06ed3eb3218bc64786f7db41917d4e686cc4856944f53d5bdf83a6884432e12 \
    --hash=sha256:e27ad930a842b4c5eb8ac0016b0a54f5aebbe679340c26101df33424142c143c \
    --hash=sha256:e537484df0d8f426ce2afb2d0f8e1c3d0b114b83f8850e5f2fbea0e797bd82ae \
    --hash=sha256:eb00ed941194665c332bf8e078baf037d6c35d7c4f3102ea2d4f16ca94a26dc8 \
    --hash=sha256:eb6904c354526e758fda7167b33005998fb68c46fbc10e013ca97f21ca5c8887 \
    --hash=sha256:eb8821e09e916165e160797a6c17edda0679379a4be5c716c260e836e122f54b \

=== docs/requirements.txt ===
# Defining the exact version will make sure things don't break
sphinx==5.3.0
sphinx_rtd_theme==1.1.1
readthedocs-sphinx-search==0.1.1

=== patatt/requirements.txt ===
PyNaCl

=== debian/changelog ===
b4 (0.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove already merged patches.
  * Remove redundat rule.
  * Remove trailing whitespace.
  * Uprev standards.
  * Update uscan file.
  * Remove documentation source file.
  * Enabling bash tab completion (Closes: #1110663)
  * Update Debian gitignore file

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Thu, 02 Oct 2025 19:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                dh-python,
+               dh-sequence-bash-completion,
                pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
                python3-requests,
+               python3-shtab,
                python3-setuptools,
                git-filter-repo
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://git.kernel.org/pub/scm/utils/b4/b4.git
 Vcs-Browser: https://salsa.debian.org/debian/b4
 Vcs-Git: https://salsa.debian.org/debian/b4.git

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,15 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+	mkdir -p debian
+	misc/tc-generate.sh bash > debian/b4.bash-completion
+
 override_dh_clean:
 	rm -rf src/b4.egg-info .pybuild
 	dh_clean
+
+override_dh_install:
+	dh_install
+	rm -r debian/b4/usr/lib/python*/dist-packages/b4/man

=== debian/watch ===
Version: 5

Source: https://git.kernel.org/pub/scm/utils/b4/b4.git
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
Pgpmode: gittag
Pgpsigurlmangle: yes
